Index: src/prelude/prelude.cf
===================================================================
--- src/prelude/prelude.cf	(revision ff178ee63b849cf9132ad27f35668a68d5abc180)
+++ src/prelude/prelude.cf	(revision cf0b8923b19d710edf28a43fe16a09eb76ce9ae2)
@@ -309,12 +309,12 @@
 // forall( dtype DT ) signed int ?!=?( const volatile void *, const volatile DT * );
 
-// forall( dtype DT ) signed int ?==?( const volatile DT *, forall( dtype DT2 )const DT2 * );
-// forall( dtype DT ) signed int ?==?( forall( dtype DT2 )const DT2 *, const volatile DT * );
-// forall( ftype FT ) signed int ?==?( FT *, forall( ftype FT2 )FT2 * );
-// forall( ftype FT ) signed int ?==?( forall( ftype FT2 )FT2 *, FT * );
-// forall( dtype DT ) signed int ?!=?( const volatile DT *, forall( dtype DT2 )const DT2 * );
-// forall( dtype DT ) signed int ?!=?( forall( dtype DT2 )const DT2 *, const volatile DT * );
-// forall( ftype FT ) signed int ?!=?( FT *, forall( ftype FT2 )FT2 * );
-// forall( ftype FT ) signed int ?!=?( forall( ftype FT2 )FT2 *, FT * );
+// forall( dtype DT ) signed int ?==?( const volatile DT *, zero_t );
+// forall( dtype DT ) signed int ?==?( zero_t, const volatile DT * );
+// forall( ftype FT ) signed int ?==?( FT *, zero_t );
+// forall( ftype FT ) signed int ?==?( zero_t, FT * );
+// forall( dtype DT ) signed int ?!=?( const volatile DT *, zero_t );
+// forall( dtype DT ) signed int ?!=?( zero_t, const volatile DT * );
+// forall( ftype FT ) signed int ?!=?( FT *, zero_t );
+// forall( ftype FT ) signed int ?!=?( zero_t, FT * );
 
 // ------------------------------------------------------------
@@ -447,15 +447,15 @@
 const volatile void *	?=?( const volatile void * volatile *, const volatile void * );
 
-//forall( dtype DT ) DT *			?=?(		    DT *	  *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) DT *			?=?(		    DT * volatile *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) const DT *		?=?( const	    DT *	  *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) const DT *		?=?( const	    DT * volatile *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) volatile DT *	?=?( volatile	    DT *	  *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) volatile DT *	?=?( volatile	    DT * volatile *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile DT *	  *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) const volatile DT *	?=?( const volatile DT * volatile *, forall( dtype DT2 ) const DT2 * );
-
-forall( ftype FT ) FT *			?=?( FT *	   *, forall( ftype FT2 ) FT2 * );
-forall( ftype FT ) FT *			?=?( FT * volatile *, forall( ftype FT2 ) FT2 * );
+// //forall( dtype DT ) DT *			?=?(		    DT *	  *, zero_t );
+// //forall( dtype DT ) DT *			?=?(		    DT * volatile *, zero_t );
+// forall( dtype DT ) const DT *		?=?( const	    DT *	  *, zero_t );
+// forall( dtype DT ) const DT *		?=?( const	    DT * volatile *, zero_t );
+// //forall( dtype DT ) volatile DT *	?=?( volatile	    DT *	  *, zero_t );
+// //forall( dtype DT ) volatile DT *	?=?( volatile	    DT * volatile *,  );
+// forall( dtype DT ) const volatile DT *	?=?( const volatile DT *	  *, zero_t );
+// forall( dtype DT ) const volatile DT *	?=?( const volatile DT * volatile *, zero_t );
+
+// forall( ftype FT ) FT *			?=?( FT *	   *, zero_t );
+// forall( ftype FT ) FT *			?=?( FT * volatile *, zero_t );
 
 forall( dtype T | sized(T) ) T *			?+=?(		     T *	  *, ptrdiff_t );
@@ -799,12 +799,12 @@
 void 	?{}( const volatile void *	    *, const volatile void * );
 
-//forall( dtype DT ) void ?{}(		    DT *	  *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) void ?{}(		    DT * volatile *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) void ?{}( const	    DT *	  *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) void ?{}( volatile	    DT *	  *, forall( dtype DT2 ) const DT2 * );
-//forall( dtype DT ) void ?{}( volatile	    DT * volatile *, forall( dtype DT2 ) const DT2 * );
-forall( dtype DT ) void ?{}( const volatile DT *	  *, forall( dtype DT2 ) const DT2 * );
-
-forall( ftype FT ) void	?{}( FT *	   *, forall( ftype FT2 ) FT2 * );
+// //forall( dtype DT ) void ?{}(		    DT *	  *, zero_t );
+// //forall( dtype DT ) void ?{}(		    DT * volatile *, zero_t );
+// forall( dtype DT ) void ?{}( const	    DT *	  *, zero_t );
+// //forall( dtype DT ) void ?{}( volatile	    DT *	  *, zero_t );
+// //forall( dtype DT ) void ?{}( volatile	    DT * volatile *, zero_t );
+// forall( dtype DT ) void ?{}( const volatile DT *	  *, zero_t );
+
+// forall( ftype FT ) void	?{}( FT *	   *, zero_t );
 
 // default ctors
